<?php
/*
Plugin Name: gLastFM
Plugin URI: http://www.gabsoftware.com/products/scripts/glastfm/
Description: Shows your recent, loved or top tracks from Last.fm on your sidebar.
Version: 1.0.5
Author: Hautclocq Gabriel
Author URI: http://www.gabsoftware.com/
License: ISC
Text Domain: glastfm
*/

define( 'GLASTFM_PLUGIN_DIR', WP_PLUGIN_DIR .'/' .plugin_basename( dirname( __FILE__ ) ) . '/' );
define( 'GLASTFM_PLUGIN_URL', WP_PLUGIN_URL .'/' .plugin_basename( dirname( __FILE__ ) ) . '/' );
define( 'GLASTFM_TEXT_DOMAIN', 'glastfm' );

/*
 * Set the Language
 */
function glastfm_setlang()
{
	load_plugin_textdomain( 'glastfm', GLASTFM_PLUGIN_DIR . 'lang', plugin_basename( dirname( __FILE__ ) ) . '/lang' );
}

/*
 * Load the widget
 */
add_action( 'widgets_init', 'glastfm_load_widgets' );
function glastfm_load_widgets()
{
	glastfm_setlang();
	include( 'glastfm.widget.php' );
	register_widget( 'gLastFM_Widget' );
}

/*
 * Add CSS into the head
 */
add_action('wp_print_styles', 'glastfm_add_stylesheet');
function glastfm_add_stylesheet()
{
	$glastfm_style_url = GLASTFM_PLUGIN_URL . 'theme/style.css';
	$glastfm_style_file = GLASTFM_PLUGIN_DIR . 'theme/style.css';
	if( file_exists( $glastfm_style_file ) )
	{
		wp_register_style( 'glastfm_stylesheet', $glastfm_style_url );
		wp_enqueue_style( 'glastfm_stylesheet' );
	}
	else
	{
		printf( __( '%s does not exist', GLASTFM_TEXT_DOMAIN ), $glastfm_style_file );
	}
}

/*
 * Admin actions
 */
add_action( 'admin_menu', 'glastfm_admin_actions' );
function glastfm_admin()
{
    include( 'glastfm.admin.php' );
}

function glastfm_admin_actions()
{
    add_options_page( __( 'gLastFM Configuration', GLASTFM_TEXT_DOMAIN ), __( 'gLastFM Configuration', GLASTFM_TEXT_DOMAIN ), 'activate_plugins', 'glastfm', 'glastfm_admin' );
}


?>